Subject: Re: bug#27652: multi-core server could be the cause

From: [email-masked] (Ludovic Courtès)
Date: Sat, 26 Aug 2017 12:00:19 +0200

Joshua Sierles <[email-masked]> skribis:

> As Ludo mentioned on IRC, this issue could be caused by parallel
> compilation on our 64-core server. At first it seemed related to using
> the '--url' option, but I just was able to reproduce this problem using
> only 'guix pull'. I'll look into how I can reduce the number of cores
> used for compilation and report back.
>
> If this is the case, would this still be considered a bug?

Marius reported a similar issue, which suggests it may indeed have to do
with parallel compilation on many-core machines:

  https://lists.gnu.org/archive/html/guix-devel/2017-08/msg00206.html

(That’s a bug, of course.)

Ludo’.